Subject: bug#13686: hi-yellow vs. hi-lock-1

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Mar 2013 22:26:09 -0500

> David had reservations with introducing hi-lock-N.  I am not sure he
> continues to hold this reservation.

And I tend to agree with him

> For now, highlight-Ns for N=6 with highlight and highlight-1 aliased to
> each other.

That'd be OK.

> So you are steering the discussion exactly to the opposite extreme.
> What is your motivation here.  Where do you think jit named-faces could
> be useful, apart from highlighting case.

I'm not talking about face names.  I'm only talking about the string the
user would type in.  They'd turn into (:background "yellow") style
values to use for the `face' property (yup, you don't have to use named
faces there).

        Stefan